- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_soap_fault_role.h File Reference

axiom_soap_fault_role More...

`#include <axutil_env.h>`
`#include <axiom_soap_fault.h>`

Go to the source code of this file.

## Typedefs
typedef struct axiom_soap_fault_role | axiom_soap_fault_role_t
## Functions
AXIS2_EXTERN axiom_soap_fault_role_t * | axiom_soap_fault_role_create_with_parent (const axutil_env_t *env, axiom_soap_fault_t *fault)
AXIS2_EXTERN void | axiom_soap_fault_role_free (axiom_soap_fault_role_t *fault_role, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_fault_role_set_role_value (axiom_soap_fault_role_t *fault_role, const axutil_env_t *env, axis2_char_t *uri)
AXIS2_EXTERN axis2_char_t * | axiom_soap_fault_role_get_role_value (axiom_soap_fault_role_t *fault_role, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_soap_fault_role_get_base_node (axiom_soap_fault_role_t *fault_role, const axutil_env_t *env)

## Detailed Description

axiom_soap_fault_role